// LocalPort.java
// Obtain an available local port number
// Last Modified on April 23, 2000

import java.net.*;


public class LocalPort 
{
  int localPort= -1;
  
  public LocalPort()
  {	
    
    DatagramSocket socket = null;
    boolean passed = false;

    while (!passed) {
      try 
	{
	  socket = new DatagramSocket();
	  localPort= socket.getLocalPort();
	}
      catch(SocketException e) 
	{
	  System.err.println(e);
	}
    
      // Local port number must be an even number to be used for RTP
      if (socket != null && localPort % 2 == 0) {
	passed = true;
	socket.close();
      }
    }
    
  }//end constructor 

  // Return an available local port number that can be used for RTP
  public int getLocalPort() 
  {
    return localPort;
  }
  
  
}//end class

  
